summaryrefslogtreecommitdiff
path: root/tests
diff options
context:
space:
mode:
Diffstat (limited to 'tests')
-rw-r--r--tests/guix-build.sh8
-rw-r--r--tests/store.scm8
2 files changed, 16 insertions, 0 deletions
diff --git a/tests/guix-build.sh b/tests/guix-build.sh
index ab911b7210..9494e7371f 100644
--- a/tests/guix-build.sh
+++ b/tests/guix-build.sh
@@ -36,6 +36,14 @@ guix build -e '(@@ (gnu packages bootstrap) %bootstrap-guile)' | \
guix build hello -d | \
grep -e '-hello-[0-9\.]\+\.drv$'
+# Passing a URI.
+GUIX_DAEMON_SOCKET="file://$NIX_STATE_DIR/daemon-socket/socket" \
+guix build -e '(@@ (gnu packages bootstrap) %bootstrap-guile)'
+
+( if GUIX_DAEMON_SOCKET="weird://uri" \
+ guix build -e '(@@ (gnu packages bootstrap) %bootstrap-guile)'; \
+ then exit 1; fi )
+
# Check --sources option with its arguments
module_dir="t-guix-build-$$"
mkdir "$module_dir"
diff --git a/tests/store.scm b/tests/store.scm
index 45150d36ca..3eb8b7be5a 100644
--- a/tests/store.scm
+++ b/tests/store.scm
@@ -48,6 +48,14 @@
(test-begin "store")
+(test-assert "open-connection with file:// URI"
+ (let ((store (open-connection (string-append "file://"
+ (%daemon-socket-uri)))))
+ (and (add-text-to-store store "foo" "bar")
+ (begin
+ (close-connection store)
+ #t))))
+
(test-equal "connection handshake error"
EPROTO
(let ((port (%make-void-port "rw")))